<?php

namespace Teknisa\FIN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\Environment;
use Teknisa\FIN\Factories\EvolucaofluxocaixaFactory;
use Zeedhi\Framework\DataSource\DataSet;

class EvolucaofluxocaixaService {

    protected $EvolucaofluxocaixaFactory;
    protected $entityManager;


    public function __construct(EntityManager $entityManager, Environment $environment, EvolucaofluxocaixaFactory $EvolucaofluxocaixaFactory) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->EvolucaofluxocaixaFactory = $EvolucaofluxocaixaFactory;
        $this->nrorg = $environment->getNrOrgTrab();
        
    }

    public function executaEvolucaoFluxoCaixa($cdempresa, $dtmovfluxo) {
        $this->EvolucaofluxocaixaFactory->callProcedureEvolucaoFluxoCaixa($cdempresa, $dtmovfluxo);
    }
}